import Vue from 'vue'

import 'normalize.css/normalize.css'// A modern alternative to CSS resets

import Element from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import '@/styles/index.scss' // global css

import App from './App'
import router from './router'
import store from './store'
import './icons' // icon
import './permission' // permission control
// import './mock' // simulation data
import { handleTree,resetForm } from "@/utils/index";
// 自定义表格工具组件
import RightToolbar from "@/components/RightToolbar"

Vue.use(Element, {
  size: 'medium' // set element-ui default size
})
const prodUrl = 'https://xiaoyou.dgtis.com/admin/storage/create';//正式地址

// const prodUrl = 'http://47.103.79.143:9085/admin/storage/create';//阿里云测试地址

const devUrl = 'http://47.103.79.143:9085/admin/storage/create';//本地测试地址

const baseUrl = process.env.NODE_ENV === 'production' ? prodUrl : devUrl;
// 全局方法挂载
Vue.prototype.upLoadUrl = baseUrl;
Vue.config.productionTip = false;
Vue.prototype.handleTree = handleTree;
Vue.prototype.resetForm = resetForm;
// 全局组件挂载
Vue.component('RightToolbar', RightToolbar);

new Vue({
  el: '#app',
  router,
  store,
  template: '<App/>',
  components: { App }
})
